> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meld.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Search financial account investment transactions

> Use this endpoint to filter financial account investment transactions by various parameters.



## OpenAPI

````yaml /openapi/banklinking-20260203.json get /bank-linking/investments/transactions
openapi: 3.1.0
info:
  title: BANK LINKING
  termsOfService: urn:tos
  license:
    name: Apache 2.0
    url: https://springdoc.org
  version: '2026-02-03'
  description: ''
servers:
  - url: https://api-sb.meld.io
    description: Meld API sandbox
  - url: https://api.meld.io
    description: Meld API production
security: []
tags:
  - name: Financial Account Connect
  - name: Financial Account Transactions
  - name: Financial Accounts
  - name: Institutions
paths:
  /bank-linking/investments/transactions:
    get:
      tags:
        - Investments
      summary: Search financial account investment transactions
      description: >-
        Use this endpoint to filter financial account investment transactions by
        various parameters.
      operationId: bank-linking-investment-transactions-search
      parameters:
        - name: customerId
          in: query
          description: >-
            Meld generated unique identifier for your customer. This should be
            used to track customer activity. Should not be provided in
            conjunction with `externalCustomerId`
          required: false
          schema:
            type: string
            default: ''
        - name: externalCustomerId
          in: query
          description: >-
            Your unique identifier for your customer. If maintaining your own
            customer management system this can also be used for tracking
            customer activity. Should not be provided in conjunction with
            `customerId`
          required: false
          schema:
            type: string
            default: ''
        - name: financialAccountId
          in: query
          description: Financial account id
          required: false
          schema:
            type: string
            default: ''
        - name: statuses
          in: query
          description: >-
            Comma separated list of financial account investment transaction
            statuses
          required: false
          schema:
            type: string
            default: ''
            enum:
              - PENDING
              - POSTED
        - name: startDate
          in: query
          description: Start date to begin search from of format yyyy-mm-dd
          required: false
          schema:
            type: string
            default: ''
        - name: endDate
          in: query
          description: End date stop search on of format yyyy-mm-dd
          required: false
          schema:
            type: string
            default: ''
        - name: connectionId
          in: query
          description: Connection Id
          required: false
          schema:
            type: string
            default: ''
        - name: before
          in: query
          description: >-
            Unique key corresponding to a investment transaction's position in
            the paginated list of results -- used to indicate that only
            investment transactions residing before this key will be retrieved.


            Each investment transaction carries a unique key. Reference
            [Pagination](https://docs.meld.io/docs/pagination)


            The ***before*** and ***after*** fields cannot be used in the same
            request.
          required: false
          schema:
            type: string
            default: ''
        - name: after
          in: query
          description: >-
            Unique key corresponding to a investment transaction's position in
            the paginated list of results -- used to indicate that only
            investment transactions residing after this key will be retrieved.


            Each investment transaction carries a unique key. Reference
            [Pagination](https://docs.meld.io/docs/pagination)


            The ***before*** and ***after*** fields cannot be used in the same
            request.
          required: false
          schema:
            type: string
            default: ''
        - name: limit
          in: query
          description: |-
            Limits number of returned financial account investment transactions.

            *Default value*: 100

            *Minimum value*: 1

            *Maximum value*: 1000
          required: false
          schema:
            type: string
            default: ''
      responses:
        '200':
          description: Financial account investment transactions are returned
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/FinancialAccountInvestmentTransactionPage'
        '400':
          description: 'Bad Request : check request values and format'
        '401':
          description: Invalid credentials
        '403':
          description: Unauthenticated or authenticated with insufficient access
        '500':
          description: >-
            Server Error. This applies to all 5xx errors, including but not
            limited to 500, 501, 502, 503, and 504 errors. You should treat all
            of these errors the same.
      security:
        - ApiKeyAuth: []
components:
  schemas:
    FinancialAccountInvestmentTransactionPage:
      type: object
      properties:
        count:
          type: integer
          format: int32
          description: Number of financial account investment transactions returned.
        investmentTransactions:
          type: array
          description: Financial account investment transactions
          items:
            $ref: '#/components/schemas/FinancialAccountInvestmentTransaction'
        remaining:
          type: integer
          format: int32
          description: >-
            Number of remaining financial account investment transactions
            before/after this page, depending on the direction this page was
            selected.
    FinancialAccountInvestmentTransaction:
      type: object
      properties:
        accountId:
          type: string
          description: >-
            The unique identifier of your account with Meld. This id will be the
            same for all calls to Meld endpoints made from this account.
        amount:
          type: number
          description: Amount
        connectionIds:
          type: array
          description: Ids of connections used to load data for this transaction
          items:
            type: string
        costBasis:
          type: number
          description: Original total value
        currency:
          type: string
          description: Currency
        customerId:
          type: string
          description: >-
            Meld generated unique identifier for your customer. This should be
            used to track customer activity.
        description:
          type: string
          description: Description
        externalCustomerId:
          type: string
          description: >-
            Your unique identifier for your customer. If maintaining your own
            customer management system this can also be used for tracking
            customer activity.
        financialAccountId:
          type: string
          description: Financial Account id
        id:
          type: string
          description: The id of the financial account investment transaction
        key:
          type: string
          description: >-
            When this financial account investment transaction is part of a
            paginated list, this key represents its position in the list
        postedDate:
          type: string
          format: date-time
          description: Posted date
        quantity:
          type: number
          description: Total quantity held
        serviceProviderDetails:
          type: array
          description: >-
            Raw service provider details for the service provider investment
            transaction(s) associated with this Financial Account Investment
            Transaction. The raw format varies by service provider, but each
            result will always contain a serviceProvider field and an updatedAt
            field. Results are ordered by updatedAt, with the most recent result
            at the start of the list, and the oldest at the bottom.
          items:
            type: object
            additionalProperties: {}
        status:
          type: string
          description: Status
          enum:
            - PENDING
            - POSTED
        symbol:
          type: string
          description: >-
            Security identifier. Will be the trading symbol if for publicly
            traded securities.
        transactionDate:
          type: string
          format: date-time
          description: Transaction date
        type:
          type: string
          description: Transaction Type
          enum:
            - SELL
            - BUY
            - CANCEL
            - CASH
            - OTHER
            - TRANSFER
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      x-default: BASIC <Meld API Key>

````